# jsonmode
Turn data and any schema into clean JSON via LLM API

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: alpha
- Package version: 1.0.0
- Generator version: 7.4.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import jsonmode
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import jsonmode
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import jsonmode
from jsonmode.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = jsonmode.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with jsonmode.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = jsonmode.ComposeApi(api_client)
    prompt = jsonmode.Prompt() # Prompt | 

    try:
        # Compose Prompt
        api_response = api_instance.compose_prompt_compose_post(prompt)
        print("The response of ComposeApi->compose_prompt_compose_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ComposeApi->compose_prompt_compose_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ComposeApi* | [**compose_prompt_compose_post**](docs/ComposeApi.md#compose_prompt_compose_post) | **POST** /compose | Compose Prompt
*DefineApi* | [**define_prompt_parts_define_post**](docs/DefineApi.md#define_prompt_parts_define_post) | **POST** /define | Define Prompt Parts


## Documentation For Models

 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [Parts](docs/Parts.md)
 - [Prompt](docs/Prompt.md)
 - [Result](docs/Result.md)
 - [ValidationError](docs/ValidationError.md)
 - [ValidationErrorLocInner](docs/ValidationErrorLocInner.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




